Name:        hunspell-pt
Summary:     Hunspell dictionaries for Portuguese
Version:     0.20130125
Release:     12
Source0:     http://natura.di.uminho.pt/download/sources/Dictionaries/hunspell/hunspell-pt_PT-20130125.tar.gz
Source1:     http://downloads.sourceforge.net/project/openofficeorg.mirror/contrib/dictionaries/pt_BR.zip
URL:         https://wiki.openoffice.org/wiki/Dictionaries
License:     ((LGPLv3 or MPL) and LGPLv2) and (GPLv2 or LGPLv2 or MPLv1.1)
BuildArch:   noarch

Requires:    hunspell
Supplements: (hunspell and langpacks-pt)

%description
Hunspell dictionaries for Portuguese.

%prep
%autosetup -n hunspell-pt_PT-20130125 -p1
unzip -q -o %{SOURCE1}
for i in README_pt_BR.txt README_pt_PT.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%build

%install
for f in "pt_PT.dic" "pt_PT.aff" "pt_BR.dic" "pt_BR.aff"; do
  install -Dp $f $RPM_BUILD_ROOT/%{_datadir}/myspell/$f
done

cd $RPM_BUILD_ROOT/%{_datadir}/myspell/
ln -s pt_PT.aff pt_AO.aff
ln -s pt_PT.dic pt_AO.dic
cd -

%files
%doc README_pt_BR.txt README_pt_PT.txt COPYING
%{_datadir}/myspell/*

%changelog
* Thu Apr 23 2020 lizhenhua <lizhenhua21@huawei.com> - 0.20130125-12
- Package init
